snapd-glib (1.49-0ubuntu0.16.04.0) xenial; urgency=medium

  * New upstream release (LP: #1836691)
  * debian/patches/0001-Use-a-fraction-in-Json-tests-with-a-double-value.patch:
    - Fix test case on older version of json-glib

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 23 Jul 2019 15:27:07 +1200

snapd-glib (1.47-0ubuntu0.16.04.0) xenial; urgency=medium

  * New upstream release (LP: #1818766)
  * debian/rules:
    - Build with --enable-installed-tests
  * debian/tests/control:
  * debian/tests/unit:
  * debian/snapd-glib-tests.install:
    - Add autopkg tests
  * debian/libsnapd-glib1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 06 Mar 2019 15:54:33 +1300

snapd-glib (1.45-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release (LP: #1793298):
    - Remove deprecated snapd-login-service
    - New API:
      - snapd_app_get_common_id
      - snapd_client_get_apps2_sync
      - snapd_client_get_apps2_async
      - snapd_client_get_apps2_finish
      - snapd_client_get_maintenance
      - snapd_client_get_snap_async
      - snapd_client_get_snap_finish
      - snapd_client_get_snap_sync
      - snapd_client_get_snaps_async
      - snapd_client_get_snaps_finish
      - snapd_client_get_snap_sync
      - snapd_maintenance_get_kind
      - snapd_maintenance_get_message
      - snapd_media_get_media_type
      - snapd_media_get_url
      - snapd_media_get_width
      - snapd_media_get_height
      - snapd_snap_get_base
      - snapd_snap_get_common_ids
      - snapd_snap_get_media
      - snapd_snap_get_mounted_from
      - snapd_snap_get_publisher_display_name
      - snapd_snap_get_publisher_id
      - snapd_snap_get_publisher_username
      - snapd_snap_get_publisher_validation
      - snapd_system_information_get_build_id
      - snapd_system_information_get_refresh_hold
      - snapd_system_information_get_refresh_last
      - snapd_system_information_get_refresh_next
      - snapd_system_information_get_refresh_schedule
      - snapd_system_information_get_refresh_timer
      - snapd_system_information_get_sandbox_features
      - SNAPD_ERROR_AUTH_CANCELLED
      - SNAPD_ERROR_NOT_FOUND
      - SNAPD_ERROR_NOT_IN_STORE
      - SNAPD_ERROR_NOT_CLASSIC
      - SNAPD_ERROR_REVISION_NOT_AVAILABLE
      - SNAPD_ERROR_CHANNEL_NOT_AVAILABLE
      - SNAPD_ERROR_NOT_A_SNAP
      - SNAPD_FIND_FLAGS_SCOPE_WIDE
    - Deprecated API:
      - snapd_client_get_apps_sync
      - snapd_client_get_apps_async
      - snapd_client_get_apps_finish
      - snapd_client_list_async
      - snapd_client_list_finish
      - snapd_client_list_sync
      - snapd_login_async
      - snapd_login_finish
      - snapd_login_sync
      - snapd_snap_get_screenshots
    - Fix buffer overflows reading HTTP chunked data
    - Reconnect to snapd if disconnected while trying to send the request
    - Handle short writes to snapd
    - Remove cancelled requests from the request queue.
    - Fix SnapdClient reference leak in each request
    - Fix snapd_snap_match_channel not matching risks correctly
    - Fix progress callback scope annotations
    - Fix double-unref on cancelled requests
    - Support new snap media and mounted-from fields
    - Support filtering when querying apps
    - Support snapd maintenance information
    - Support new error codes
    - GIR annotation fixes
  * debian/libsnapd-glib1.symbols:
    - Updated
  * debian/control:
  * debian/snapd-login-service.install
    - snapd-login-service removed

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 01 Feb 2019 13:04:23 +1300

snapd-glib (1.33-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release: (LP: #1748289)
    * New API:
      - snapd_alias_get_app_auto
      - snapd_alias_get_command
      - snapd_alias_get_app_manual
      - snapd_app_get_active
      - snapd_app_get_desktop_file
      - snapd_app_get_enabled
      - snapd_app_get_snap
      - snapd_change_get_error
      - snapd_channel_get_branch
      - snapd_channel_get_confinement
      - snapd_channel_get_epoch
      - snapd_channel_get_name
      - snapd_channel_get_revision
      - snapd_channel_get_risk
      - snapd_channel_get_size
      - snapd_channel_get_track
      - snapd_channel_get_type
      - snapd_channel_get_version
      - snapd_client_abort_change_async
      - snapd_client_abort_change_finish
      - snapd_client_abort_change_sync
      - snapd_client_get_allow_interaction
      - snapd_client_get_changes_async
      - snapd_client_get_changes_finish
      - snapd_client_get_changes_sync
      - snapd_client_get_change_async
      - snapd_client_get_change_finish
      - snapd_client_get_change_sync
      - snapd_client_get_socket_path
      - snapd_client_login2_async
      - snapd_client_login2_finish
      - snapd_client_login2_sync
      - snapd_client_switch_async
      - snapd_client_switch_finish
      - snapd_client_switch_sync
      - snapd_client_get_users_async
      - snapd_client_get_users_finish
      - snapd_client_get_users_sync
      - snapd_client_alias_async
      - snapd_client_alias_finish
      - snapd_client_alias_sync
      - snapd_client_unalias_async
      - snapd_client_unalias_finish
      - snapd_client_unalias_sync
      - snapd_client_prefer_async
      - snapd_client_prefer_finish
      - snapd_client_prefer_sync
      - snapd_client_get_apps_sync
      - snapd_client_get_apps_finish
      - snapd_client_get_apps_async
      - snapd_client_set_allow_interaction
      - snapd_client_set_socket_path
      - snapd_snap_get_broken
      - snapd_snap_get_channels
      - snapd_snap_get_tracks
      - snapd_snap_get_license
      - snapd_snap_get_title
      - snapd_snap_match_channel
      - snapd_system_information_get_confinement
    * Deprecated API:
      - snapd_app_get_aliases
      - snapd_client_connect_async
      - snapd_client_connect_finish
      - snapd_client_connect_sync
      - snapd_client_disable_aliases_async
      - snapd_client_disable_aliases_finish
      - snapd_client_disable_aliases_sync
      - snapd_client_enable_aliases_async
      - snapd_client_enable_aliases_finish
      - snapd_client_enable_aliases_sync
      - snapd_client_login_async
      - snapd_client_login_finish
      - snapd_client_login_sync
      - snapd_client_reset_aliases_async
      - snapd_client_reset_aliases_finish
      - snapd_client_reset_aliases_sync
    - Fix small memory leaks and crashes
    - Support new error codes from snapd
    - Implement new snapd APIs
    - Fix multiple async operations not working at the same time.
    - Connect to snapd on demand.
    - Add ability to set snapd socket to connect to.
    - Make clients using provided sockets non-blocking.
    - Improve failure handling when snapd socket read/writes fail
    - Ensure socket reads never block
    - Fix issues when accessing snapd-glib from threads.
    - Set a user agent when sending requests to snapd-glib
    - Correctly stop requests if cancelled
    - Don't timeout waiting for snapd
    - Add version defines so can do conditional compilation on new features
    - Fix compilation issues with clang
    - Build system fixes
    - Documentation improvements
  * debian/control:
    - Fix GIR section and dependencies
  * debian/libsnapd-glib1.symbols:
    - Updated
  * debian/watch:
    - Use new github location for downloads
  * debian/patches/0001-Reduce-json-glib-dependency-to-working-development-v.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 09 Feb 2018 09:28:35 +1300

snapd-glib (1.13-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release: (LP: #1699005)
    - New API:
      - snapd_alias_get_app
      - snapd_alias_get_name
      - snapd_alias_get_snap
      - snapd_alias_get_status
      - snapd_alias_get_type
      - snapd_alias_status_get_type
      - snapd_app_get_aliases
      - snapd_app_get_daemon_type
      - snapd_assertion_get_body
      - snapd_assertion_get_header
      - snapd_assertion_get_headers
      - snapd_assertion_get_signature
      - snapd_assertion_get_type
      - snapd_assertion_new
      - snapd_change_get_id
      - snapd_change_get_kind
      - snapd_change_get_ready
      - snapd_change_get_ready_time
      - snapd_change_get_spawn_time
      - snapd_change_get_status
      - snapd_change_get_summary
      - snapd_change_get_tasks
      - snapd_change_get_type
      - snapd_client_add_assertions_async
      - snapd_client_add_assertions_finish
      - snapd_client_add_assertions_sync
      - snapd_client_check_buy_async
      - snapd_client_check_buy_finish
      - snapd_client_check_buy_sync
      - snapd_client_connect_async
      - snapd_client_connect_finish
      - snapd_client_create_user_async
      - snapd_client_create_user_finish
      - snapd_client_create_user_sync
      - snapd_client_create_users_async
      - snapd_client_create_users_finish
      - snapd_client_create_users_sync
      - snapd_client_disable_aliases_async
      - snapd_client_disable_aliases_finish
      - snapd_client_disable_aliases_sync
      - snapd_client_enable_aliases_async
      - snapd_client_enable_aliases_finish
      - snapd_client_enable_aliases_sync
      - snapd_client_find_refreshable_async
      - snapd_client_find_refreshable_finish
      - snapd_client_find_refreshable_sync
      - snapd_client_find_section_async
      - snapd_client_find_section_finish
      - snapd_client_find_section_sync
      - snapd_client_get_aliases_async
      - snapd_client_get_aliases_finish
      - snapd_client_get_aliases_sync
      - snapd_client_get_assertions_async
      - snapd_client_get_assertions_finish
      - snapd_client_get_assertions_sync
      - snapd_client_get_sections_async
      - snapd_client_get_sections_finish
      - snapd_client_get_sections_sync
      - snapd_client_install2_async
      - snapd_client_install2_finish
      - snapd_client_install2_sync
      - snapd_client_install_stream_async
      - snapd_client_install_stream_finish
      - snapd_client_install_stream_sync
      - snapd_client_new_from_socket
      - snapd_client_refresh_all_async
      - snapd_client_refresh_all_finish
      - snapd_client_refresh_all_sync
      - snapd_client_reset_aliases_async
      - snapd_client_reset_aliases_finish
      - snapd_client_reset_aliases_sync
      - snapd_client_run_snapctl_async
      - snapd_client_run_snapctl_finish
      - snapd_client_run_snapctl_sync
      - snapd_client_try_async
      - snapd_client_try_finish
      - snapd_client_try_sync
      - snapd_create_user_flags_get_type
      - snapd_daemon_type_get_type
      - snapd_install_flags_get_type
      - snapd_plug_get_attribute
      - snapd_plug_get_attribute_names
      - snapd_plug_has_attribute
      - snapd_slot_get_attribute
      - snapd_slot_get_attribute_names
      - snapd_slot_has_attribute
      - snapd_snap_get_contact
      - snapd_snap_get_jailmode
      - snapd_snap_get_tracking_channel
      - snapd_system_information_get_binaries_directory
      - snapd_system_information_get_managed
      - snapd_system_information_get_mount_directory
      - snapd_system_information_get_kernel_version
      - snapd_system_information_get_store
      - snapd_task_get_progress_label
      - snapd_user_information_get_ssh_keys
      - snapd_user_information_get_type
      - snapd_user_information_get_username
    - Deprecated API:
      - snapd_client_install_async
      - snapd_client_install_finish
      - snapd_client_install_sync
    - Fix calls not working inside threads.
    - Fix reference counting error when calling snapd_client_get_interfaces and
      snapd_client_create_user.
    - Fix payment errors being detected.
    - Close socket on unref.
    - Fix small memory leaks.
    - Fix screenshots not working on 32 bit architectures
    - Add Qt/QML bindings.
    - Add new errors reported by snapd.
    - Add regression tests.
    - Use new objects for progress callbacks - API break, ABI will continue to
      work.
    - Fix crash in snapd-login-service when snapd stops (LP: #1646784)
  * debian/control:
    - Set minimum dependency versions
    - Update Vcs-Bzr
  * debian/patches/0001-Reduce-json-glib-dependency-to-working-development-v.patch:
    - Handle our development version of json-glib
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 20 Jun 2017 15:42:33 +1200

snapd-glib (1.2-0ubuntu1.1~xenial) xenial; urgency=medium

  * Backport to xenial (LP: #1616943)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 16 Nov 2016 14:58:58 +1300

snapd-glib (1.2-0ubuntu1.1) yakkety; urgency=medium

  * debian/control:
    - let libsnapd-glib1 recommends snapd-login-service, without the 
      service installed the snap interactions are not working (lp: #1635270)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 Oct 2016 16:31:17 +0200

snapd-glib (1.2-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release:
    * Use so version 1 now this is stable (should have been done at 1.0 release)
  * debian/control:
  * debian/gir1.2-snapd-1.install:
  * debian/libsnapd-glib1.install:
  * debian/libsnapd-glib1.symbols:
    - Update for new soname

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 13 Oct 2016 16:31:07 +1300

snapd-glib (1.1-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release:
    [ 1.0 ]
    - Add support for screenshots
    - Throw exception if not connected instead of using assert
    - Be more paranoid about invalid SnapdAuthData
    - Add an autogen.sh
    - Tidy up configure summary
    [ 1.1 ]
    - Fix screenshot documentation not being used
  * debian/libsnapd-glib0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 13 Oct 2016 15:50:36 +1300

snapd-glib (0.14-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Fix header guards in snapd-login.h which stopped it being included  

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 05 Sep 2016 15:44:20 +1200

snapd-glib (0.13-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    [ 0.12 ]
    - Rename error codes for consistency (API and ABI break)
    - Generate documentation using GTK-Doc
    [ 0.13 ]
    - Make snapd_client_login() consistent with snapd_login() (API and ABI
      break)
    - Complete documentation on all functions / types (fixes make check)
    - Disable buy support for now - it is being redesigned in snapd.
  * debian/control:
  * debian/rules:  
  * debian/libsnapd-glib-dev.install:
    - Build documentation

 -- Robert Ancell <robert.ancell@canonical.com>  Sun, 04 Sep 2016 22:20:18 +1200

snapd-glib (0.11-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Use doubles for price amounts (API and ABI break)
    - Make Polkit policy translatable
    - Fix errors not being correct on first use of snapd_login 

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 01 Sep 2016 17:00:39 +1200

snapd-glib (0.10-0ubuntu2) yakkety; urgency=medium

  * debian/control:
    - Replace gobject-introspection build dependency with
      libgirepository1.0-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 31 Aug 2016 11:20:29 +1200

snapd-glib (0.10-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    [ 0.9 ]
    - Rename SnapdClientError to SnapdError (API and ABI break)
    - Add a D-Bus service to allow login without root permissions
    - Add asserts to check we are connected before making requests
    [ 0.10 ]
    - Fix snapd-login-service D-Bus configuration
    - Improve documentation about root requirements for snapd_client_login
    - Distribute license files
    - Fix compiler warning
  * debian/control:
    - Add snapd-login-service package
    - Add build-depends on libjson-glib-dev, libpolkit-gobject-1-dev,
      libsoup2.4-dev, valac
    - Add Vcs-Bzr link
  * debian/snapd-login-service.install:
    - Add snapd-login-service package
  * debian/libsnapd-glib0.symbols:
    - Updated
  * debian/copyright:
    - Update to latest format
  * debian/rules:
    - Drop unnecessary LDFLAGS
    - Set libexec dir so not multi-arched

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 31 Aug 2016 10:51:16 +1200

snapd-glib (0.8-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Store auth data inside SnapdClient (API and ABI break)
    - Return suggested currency in find request (API and ABI break)
    - Only call progress callback if something changes
  * debian/libsnapd-glib0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 26 Aug 2016 10:27:02 +1200

snapd-glib (0.7-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Return error codes when icons fail to download
    - Fix sync methods not working inside async callbacks
    - Use GDateTime for date/time values returned by snapd
  * debian/libsnapd-glib0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 25 Aug 2016 16:32:09 +1200

snapd-glib (0.6-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Fix memory ownership for returned results from list/find
    - Add missing docstrings
    - Fix small memory leaks

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 22 Aug 2016 21:55:22 +1200

snapd-glib (0.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Add copyright headers
    - Mark authentication parameters optional
  * debian/copyright:
    - Update copyright information

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 22 Aug 2016 21:07:59 +1200

snapd-glib (0.4-0ubuntu1) yakkety; urgency=medium

  * Initial release.

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 19 Aug 2016 14:08:00 +1200
